<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\Kursplanung\TerminUebersicht;

class TerminView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/kursplanung/termin.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn($this->viewModel->kurstag);
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->kurstag->showEinzelterminebearbeiten = $this->viewModel->showEinzelterminebearbeiten;
    $this->viewModel->kurstag->showCheckbox = $this->viewModel->showCheckbox;

    return array($this->viewModel->index => $this->viewModel->kurstag);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpKurstage(true);
  }
}

class TerminViewModel
{
  public $kurstag;
  public $columns;
  public $index;
  public $showEinzelterminebearbeiten;
  public $showCheckbox;
}